Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.emf
Class ProjectBasedEMFGeneratorOptions

    java.lang.Object
      edu.stanford.smi.protegex.owl.emf.ProjectBasedEMFGeneratorOptions

All Implemented Interfaces:
  EditableEMFGeneratorOptions, EMFGeneratorOptions

    public class ProjectBasedEMFGeneratorOptions

extends Object
implements EditableEMFGeneratorOptions

Author:
  Holger Knublauch

Field Summary
`static String` | `FILE_NAME`
`static String` | `PACKAGE`

Constructor Summary
`ProjectBasedEMFGeneratorOptions(OWLModel owlModel)`

Method Summary
`File` | `getOutputFolder()`
`String` | `getPackage()`
`void` | `setOutputFolder(File file)`
`void` | `setPackage(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NAME

    public static final String FILE_NAME

See Also:
  Constant Field Values

### PACKAGE

    public static final String PACKAGE

See Also:
  Constant Field Values

Constructor Detail

### ProjectBasedEMFGeneratorOptions

    public ProjectBasedEMFGeneratorOptions(OWLModel owlModel)

Method Detail

### getOutputFolder

    public File getOutputFolder()

  Specified by:
    `getOutputFolder` in interface `EMFGeneratorOptions`

### getPackage

    public String getPackage()

  Specified by:
    `getPackage` in interface `EMFGeneratorOptions`

### setOutputFolder

    public void setOutputFolder(File file)

  Specified by:
    `setOutputFolder` in interface `EditableEMFGeneratorOptions`

### setPackage

    public void setPackage(String value)

  Specified by:
    `setPackage` in interface `EditableEMFGeneratorOptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.